package org.chenyang.http.conn.ssl;

import org.chenyang.http.annotation.Contract;
import org.chenyang.http.annotation.ThreadingBehavior;

/** @deprecated */
@Deprecated
@Contract(
   threading = ThreadingBehavior.IMMUTABLE
)
public class AllowAllHostnameVerifier extends AbstractVerifier {
   public static final AllowAllHostnameVerifier INSTANCE = new AllowAllHostnameVerifier();

   public final void verify(String host, String[] cns, String[] subjectAlts) {
   }

   public final String toString() {
      return "ALLOW_ALL";
   }
}
